Package com.io7m.waxmill.machines

# Class WXMDeviceAHCIDisk.Builder

java.lang.Object
com.io7m.waxmill.machines.WXMDeviceAHCIDisk.Builder

Enclosing class:
  WXMDeviceAHCIDisk

    public static final class WXMDeviceAHCIDisk.Builder
    extends java.lang.Object

Builds instances of type `WXMDeviceAHCIDisk`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMDeviceAHCIDisk` | `build()` | Builds a new `WXMDeviceAHCIDisk`.
  `WXMDeviceAHCIDisk.Builder` | `from​(WXMDeviceType instance)` | Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType` instance.
  `WXMDeviceAHCIDisk.Builder` | `from​(WXMDeviceType.WXMDeviceAHCIDiskType instance)` | Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType.WXMDeviceAHCIDiskType` instance.
  `WXMDeviceAHCIDisk.Builder` | `setBackend​(WXMDeviceType.WXMStorageBackendType backend)` | Initializes the value for the `backend` attribute.
  `WXMDeviceAHCIDisk.Builder` | `setComment​(java.lang.String comment)` | Initializes the value for the `comment` attribute.
  `WXMDeviceAHCIDisk.Builder` | `setDeviceSlot​(WXMDeviceSlot deviceSlot)` | Initializes the value for the `deviceSlot` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXMDeviceAHCIDisk.Builder from​(WXMDeviceType instance)
    Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final WXMDeviceAHCIDisk.Builder from​(WXMDeviceType.WXMDeviceAHCIDiskType instance)
    Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType.WXMDeviceAHCIDiskType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setDeviceSlot

    public final WXMDeviceAHCIDisk.Builder setDeviceSlot​(WXMDeviceSlot deviceSlot)
    Initializes the value for the `deviceSlot` attribute.
    Parameters:
      `deviceSlot` - The value for deviceSlot
    Returns:
      `this` builder for use in a chained invocation

  - ### setComment

    public final WXMDeviceAHCIDisk.Builder setComment​(java.lang.String comment)
    Initializes the value for the `comment` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `comment`.

    Parameters:
      `comment` - The value for comment
    Returns:
      `this` builder for use in a chained invocation

  - ### setBackend

    public final WXMDeviceAHCIDisk.Builder setBackend​(WXMDeviceType.WXMStorageBackendType backend)
    Initializes the value for the `backend` attribute.
    Parameters:
      `backend` - The value for backend
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXMDeviceAHCIDisk build()
    Builds a new `WXMDeviceAHCIDisk`.
    Returns:
      An immutable instance of WXMDeviceAHCIDisk
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing